<?
 $chat3=@file("../local/datachat/$id_room.chat");
 $chat3_k=count($chat3);
 $time=time();
 $g_ok='0';
 ///////// последний пост шутника ////////////////
 for ($i=0;$i<$chat3_k;$i++){
 	$post2=explode(":||:",$chat3[$i]);
 	if ($post2[4]=='3')
 	{
 		$post=$post2;
 		$post_m=$i;
 		$g_ok='78';
 		}
 	}
 	$vr6='35'; // промежуток, через который показывается новый прикол
 	///////////////////////////////////////////////////////
 	$time3=$time+$vr6;
 	if ($lp_ok=='0'||$post[5]<$time){
 		$prikoly=file("comedy.dat");
 		$prikoly_k=count($prikoly);
 		$rand_prikol=rand(0,$prikoly_k-1);
 		$prikol2=$prikoly[$rand_prikol];
 		$prikol=explode(":||:",$prikol2);
 		$prikol[1]=base64_encode($prikol[1]);
 		$date=base64_encode(date("(G:i)"));
 		$fm=fopen("../local/datachat/$id_room.chat","a");
 		flock($fm,LOCK_EX);
 		fputs($fm,"$prikol[0]:||:$date:||:$prikol[1]:||::||:3:||:$time3:||::||::||::||::||::||:\r\n");
 		fflush($fm);
 		flock($fm,LOCK_UN);
 		fclose($fm);
 		chmod ("../local/datachat/$id_room.chat", 0666);
 		}
?>
